use std::fmt::Debug;

pub type NodeChildren = Vec<Box<AstNode>>;

#[derive(Debug)]
pub enum AstNode {
    CompilationUnit(NodeChildren),
    BlockStatement(NodeChildren),
    Statement(NodeChildren),
    Expression(NodeChildren),
}
